commit:     659deae2defce3c59d8054f98a2295a810ddcfc3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 28 21:03:10 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 28 21:45:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=659deae2

dev-ruby/heredoc_unindent: add ruby26

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-ruby/heredoc_unindent/heredoc_unindent-1.2.0.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/heredoc_unindent/heredoc_unindent-1.2.0.ebuild 
b/dev-ruby/heredoc_unindent/heredoc_unindent-1.2.0.ebuild
index 3697dee1b3e..a46c76b36a6 100644
--- a/dev-ruby/heredoc_unindent/heredoc_unindent-1.2.0.ebuild
+++ b/dev-ruby/heredoc_unindent/heredoc_unindent-1.2.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
 
-USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
 
 inherit ruby-fakegem
 
@@ -17,8 +17,12 @@ SLOT="0"
 KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 x86 ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="doc test"
 
-ruby_add_bdepend "test? ( >=dev-ruby/hoe-2.8.0 dev-ruby/test-unit:2 )"
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"
 
 all_ruby_prepare() {
        sed -i -e '1igem "test-unit"' test/test_heredoc_unindent.rb || die
 }
+
+each_ruby_test() {
+       ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}

Reply via email to